Zernio
APIFor you
Zernio
APIFor you
API Reference

Account Settings

Facebook Messenger

Get persistent menuGETSet persistent menuPUTDelete persistent menuDELETE

Instagram

Get IG ice breakersGETSet IG ice breakersPUTDelete IG ice breakersDELETE

Telegram

Get TG bot commandsGETSet TG bot commandsPUTDelete TG bot commandsDELETE

Other

Delete FB Get Started buttonDELETEDelete FB greeting textDELETEDelete FB ice breakersDELETEGet a Facebook Page's public infoGETGet FB Get Started buttonGETGet FB greeting textGETGet FB ice breakersGETSet FB Get Started buttonPUTSet FB greeting textPUTSet FB ice breakersPUTUpdate a Facebook Page's public infoPATCH
Dashboard
OverviewPlatformsAPI ReferenceResources
Account Settings

Set IG ice breakers

Set ice breakers for an Instagram account. Max 4 ice breakers, question max 80 chars.


PUT
/v1/accounts/{accountId}/instagram-ice-breakers

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication: send your Zernio API key in the Authorization header, prefixed with Bearer.

In: header

Path Parameters

accountId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

import Zernio from '@zernio/node';const zernio = new Zernio({ apiKey: process.env.ZERNIO_API_KEY });const { data } = await zernio.accountsettings.setInstagramIceBreakers({  path: {    accountId: 'account_abc123',  },  body: {    ice_breakers: [      {        question: 'string',        payload: 'string',      },    ],  },});console.log(data);
Empty
Was this page helpful?

Get IG ice breakers

Get the ice breaker configuration for an Instagram account.

Delete IG ice breakers

Removes the ice breaker questions from an Instagram account's Messenger experience.

ice_breakers*array<>
Items1 <= items <= 4